org.jboss.jca.embedded.dsl.datasources13.api

## Enum TransactionIsolationType

- java.lang.Object
- - java.lang.Enum<TransactionIsolationType>
  - - org.jboss.jca.embedded.dsl.datasources13.api.TransactionIsolationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransactionIsolationType>

      public enum TransactionIsolationType
      extends java.lang.Enum<TransactionIsolationType>

  This class implements the `transaction-isolationType` xsd type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_TRANSACTION_NONE`
    `_TRANSACTION_READ_COMMITTED`
    `_TRANSACTION_READ_UNCOMMITTED`
    `_TRANSACTION_REPEATABLE_READ`
    `_TRANSACTION_SERIALIZABLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransactionIsolationType` | `getFromStringValue(java.lang.String value)`
    `java.lang.String` | `toString()`
    `static TransactionIsolationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransactionIsolationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### _TRANSACTION_READ_UNCOMMITTED

          public static final TransactionIsolationType _TRANSACTION_READ_UNCOMMITTED

    - #### _TRANSACTION_READ_COMMITTED

          public static final TransactionIsolationType _TRANSACTION_READ_COMMITTED

    - #### _TRANSACTION_REPEATABLE_READ

          public static final TransactionIsolationType _TRANSACTION_REPEATABLE_READ

    - #### _TRANSACTION_SERIALIZABLE

          public static final TransactionIsolationType _TRANSACTION_SERIALIZABLE

    - #### _TRANSACTION_NONE

          public static final TransactionIsolationType _TRANSACTION_NONE

  - ### Method Detail

    - #### values

          public static TransactionIsolationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionIsolationType c : TransactionIsolationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionIsolationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TransactionIsolationType>`

    - #### getFromStringValue

          public static TransactionIsolationType getFromStringValue(java.lang.String value)

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)